=== debian/changelog ===
golang-github-sigstore-rekor-tiles (2.0.1-2) unstable; urgency=medium

  * Drop newgateway pipeline

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Feb 2026 09:53:26 +0100

golang-github-sigstore-rekor-tiles (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1108960)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 06 Feb 2026 16:54:44 +0100
