=== debian/control ===
Source: golang-github-sigstore-rekor-tiles
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-chainguard-dev-clog-dev,
 golang-github-go-test-deep-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-smallstep-crypto-dev,
 golang-github-tink-crypto-tink-go-awskms-dev,
 golang-github-tink-crypto-tink-go-gcpkms-dev,
 golang-github-transparency-dev-formats-dev,
 golang-github-transparency-dev-tessera-dev,
 golang-golang-x-mod-dev,
 golang-google-api-dev,
 golang-google-cloud-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-webpki-org-jsoncanonicalizer-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-rekor-tiles
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-rekor-tiles.git
Homepage: https://github.com/sigstore/rekor-tiles
XS-Go-Import-Path: github.com/sigstore/rekor-tiles

Package: golang-github-sigstore-rekor-tiles-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-chainguard-dev-clog-dev,
 golang-github-go-test-deep-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-smallstep-crypto-dev,
 golang-github-tink-crypto-tink-go-awskms-dev,
 golang-github-tink-crypto-tink-go-gcpkms-dev,
 golang-github-transparency-dev-formats-dev,
 golang-github-transparency-dev-tessera-dev,
 golang-golang-x-mod-dev,
 golang-google-api-dev,
 golang-google-cloud-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-webpki-org-jsoncanonicalizer-dev,
 ${misc:Depends},
Description: Sigstore Rekor on Tiles aka Rekor v2, a transparency log (library)
 Rekor on Tiles, aka Rekor v2, is a redesigned and modernized Rekor --
 https://github.com/sigstore/rekor -- Sigstore's signature transparency
 log, transitioning its backend to a modern, tile-backed transparency log --
 https://transparency.dev/articles/tile-based-logs/ -- implementation to
 simplify maintenance and lower operational costs.
 .
 This package contains the Go development library.
