=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := \
	^github.com/sigstore/rekor-tiles/cmd				\
	^github.com/sigstore/rekor-tiles/tests/sharding/client/sign	\
	^github.com/sigstore/rekor-tiles/tests/sharding/client/verify	\
	# EOL

execute_before_dh_auto_build:
	rm -fv _build/src/github.com/sigstore/rekor-tiles/internal/tessera/gcp.go

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
